{
  "accUserMode" : 2,
  "caption" : "测试实体",
  "codeName" : "TESTMobDataView",
  "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTMobDataView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "TESTMobDataView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPMODULES/Test.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTTestMobEditView.json",
          "viewType" : "DEMOBEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTTestMobEditView.json",
          "viewType" : "DEMOBEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA",
    "realTitle" : "编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTTestMobEditView.json",
      "viewType" : "DEMOBEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "MobDataViewrighttoolbar",
    "controlType" : "TOOLBAR",
    "name" : "righttoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "RIGHTTOOLBAR"
    },
    "toolbarStyle" : "MOBNAVRIGHTMENU",
    "xDataControlName" : "dataview",
    "modelid" : "b7e7c93274c6f60fb53b226b6f7f7866_righttoolbar",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "KanbanCodelist",
    "controlType" : "DATAVIEW",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSDATAVIEWS/KanbanCodelist.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "groupLayout" : "COLUMN",
    "groupMode" : "CODELIST",
    "getGroupPSAppDEField" : {
      "name" : "TESTNAME",
      "codeName" : "TESTName"
    },
    "getGroupPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
    },
    "logicName" : "看板（分组代码表）",
    "minorSortDir" : "ASC",
    "getMinorSortPSAppDEField" : {
      "name" : "ORDER",
      "codeName" : "Order"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据视图处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DATAVIEW"
    },
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "DataImport"
    },
    "getPSDEDataViewDataItems" : [ {
      "dataType" : 25,
      "name" : "testname",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    } ],
    "getPSDEDataViewItems" : [ {
      "caption" : "测试实体名称",
      "dataItemName" : "testname",
      "itemType" : "DATAITEM",
      "name" : "TESTNAME",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      },
      "enableSort" : true
    }, {
      "cLConvertMode" : "FRONT",
      "caption" : "类型",
      "dataItemName" : "type",
      "itemType" : "ACTIONITEM",
      "name" : "TYPE",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "getPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPCODELISTS/Test__TestType.json"
      },
      "getPSDEUIActionGroup" : {
        "codeName" : "A6913ed9bd0c3e7d614",
        "name" : "界面行为组",
        "getPSUIActionGroupDetails" : [ {
          "caption" : "百度",
          "detailType" : "DEUIACTION",
          "name" : "u5ee2086",
          "getPSSysImage" : {
            "glyph" : "xf00c@FontAwesome",
            "cssClass" : "fa fa-check"
          },
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "caption" : "百度",
            "codeName" : "openBaidu",
            "counterId" : "openBaidu",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "openBaidu",
            "htmlPageUrl" : "https://www.baidu.com/",
            "name" : "百度",
            "getPSAppCounter" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Mob/PSAPPCOUNTERS/UIActionCounter.json"
            },
            "timeout" : 60000,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openBaidu",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : true,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TEXT.*.EDIT",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[*.EDIT]",
            "refFlag" : true
          },
          "caption" : "编辑",
          "detailType" : "DEUIACTION",
          "name" : "u1feafb4",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "getCapPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TEXT.*.EDIT",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.EDIT]",
              "refFlag" : true
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TOOLTIP.*.EDIT",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.EDIT]",
              "refFlag" : true
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TOOLTIP.*.EDIT",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.EDIT]",
            "refFlag" : true
          },
          "addSeparator" : true,
          "showCaption" : true,
          "showIcon" : false
        }, {
          "detailType" : "DEUIACTION",
          "name" : "u4c6267d",
          "getPSSysImage" : {
            "cssClass" : "fa-solid fa-delete-left"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "defaultContent" : "删除",
              "lanResTag" : "TBB.TEXT.*.REMOVE",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.REMOVE]",
              "refFlag" : true
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "删除",
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.REMOVE]",
              "refFlag" : true
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "删除",
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.REMOVE]",
            "refFlag" : true
          },
          "addSeparator" : true,
          "showCaption" : false,
          "showIcon" : true
        } ],
        "uniqueTag" : "TEST__A6913ed9bd0c3e7d614"
      },
      "enableSort" : true
    } ],
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "hasWFDataItems" : false,
    "appendDEItems" : false,
    "enableCardEdit" : false,
    "enableCardEditGroup" : false,
    "enableCardEditOrder" : false,
    "enableCardNew" : false,
    "enableGroup" : true,
    "enablePagingBar" : true,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "dataview",
    "modelid" : "1741FBA8-5476-4E56-BA65-0E5C280F2A62",
    "modeltype" : "PSDEDATAVIEW"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : true
  }, {
    "caption" : "测试实体",
    "codeName" : "MobDataViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "MobDataView",
  "getPSDEViewId" : "DCA44395-49F6-4759-9BC9-7330B49C955A",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEMOBDATAVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试实体移动端卡片视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMOBDATAVIEW",
  "xDataControlName" : "dataview",
  "enableDP" : true,
  "enableFilter" : true,
  "enablePullDownRefresh" : false,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "modelid" : "b7e7c93274c6f60fb53b226b6f7f7866",
  "modeltype" : "PSAPPDEVIEW"
}